Page MenuHomeFreeBSD

emulators/qemu-powernv: rename emulators/qemu-ppcnv and update to POWER9
ClosedPublic

Authored by kbowling on Nov 6 2018, 9:26 AM.

Details

Summary

Update to benh's qemu power9 branch which adds support for features like radix mmu and phb4.

I would like to take maintainership of this port with Mark's permission.

Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kbowling created this revision.Nov 6 2018, 9:26 AM
krion requested changes to this revision.Nov 6 2018, 9:35 AM

As it's port rename, you have to repocopy it to preserve history and commit with new changes.

This revision now requires changes to proceed.Nov 6 2018, 9:35 AM
timur added a comment.Nov 6 2018, 7:12 PM

Also, an entry to the MOVED file should be added. Maybe along with the entry in UPDATING.

kbowling updated this revision to Diff 50088.Nov 6 2018, 10:19 PM

Add MOVED entry. This doesn't need an updating entry there are only a couple users and I am in communication with them.

This is a repo move it just doesn't get picked up by phabricator, sorry I won't use arc.
kev-ws-aurora% svn st
M MOVED
M emulators/Makefile
A + emulators/qemu-powernv

> moved from emulators/qemu-ppcnv

M + emulators/qemu-powernv/Makefile
M + emulators/qemu-powernv/distinfo
M + emulators/qemu-powernv/pkg-descr
D emulators/qemu-ppcnv

> moved to emulators/qemu-powernv
timur added inline comments.Nov 8 2018, 8:24 AM
emulators/qemu-powernv/Makefile
13 ↗(On Diff #50088)

And here also?

18 ↗(On Diff #50088)

Sorry, and what's the reason for += here instead of just =?

kbowling updated this revision to Diff 50159.Nov 8 2018, 8:36 AM
kbowling marked 2 inline comments as done.

It's the way it was, dropped them.

Take maintainer per conversation on IRC with linimon.

krion accepted this revision.Nov 27 2018, 11:22 AM

I approve if repocopy is done.

This revision is now accepted and ready to land.Nov 27 2018, 11:22 AM
This revision was automatically updated to reflect the committed changes.